NumberParseException.ErrorType
Date: 2011-05-04

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.i18n.phonenumbers
Enum NumberParseException.ErrorType

    java.lang.Object
      java.lang.Enum<NumberParseException.ErrorType>
          com.google.i18n.phonenumbers.NumberParseException.ErrorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NumberParseException.ErrorType>

Enclosing class:
  NumberParseException

    public static enum NumberParseException.ErrorType

extends java.lang.Enum<NumberParseException.ErrorType>

Enum Constant Summary
`INVALID_COUNTRY_CODE`
`NOT_A_NUMBER`
`TOO_LONG`
`TOO_SHORT_AFTER_IDD`
`TOO_SHORT_NSN`

Method Summary
`static NumberParseException.ErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NumberParseException.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INVALID_COUNTRY_CODE

    public static final NumberParseException.ErrorType INVALID_COUNTRY_CODE

### NOT_A_NUMBER

    public static final NumberParseException.ErrorType NOT_A_NUMBER

### TOO_SHORT_AFTER_IDD

    public static final NumberParseException.ErrorType TOO_SHORT_AFTER_IDD

### TOO_SHORT_NSN

    public static final NumberParseException.ErrorType TOO_SHORT_NSN

### TOO_LONG

    public static final NumberParseException.ErrorType TOO_LONG

Method Detail

### values

    public static NumberParseException.ErrorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NumberParseException.ErrorType c : NumberParseException.ErrorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NumberParseException.ErrorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD